<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcMeshSelectListener Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcMeshSelectListener Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcMeshSelectListener" --><!-- doxytag: inherits="iBase" -->
<p>Listen to mesh selection.  
 <a href="structiPcMeshSelectListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="meshsel_8h_source.html">propclass/meshsel.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcMeshSelectListener:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcMeshSelectListener.png" usemap="#iPcMeshSelectListener_map" alt=""/>
  <map id="iPcMeshSelectListener_map" name="iPcMeshSelectListener_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,141,24"/>
</map>
 </div></div>

<p><a href="structiPcMeshSelectListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMeshSelectListener.html#a2723b51fcbbf80efad7affef0df15ac4">MouseDown</a> (<a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a> *meshsel, int x, int y, int button, <a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Mouse button goes down on mesh.  <a href="#a2723b51fcbbf80efad7affef0df15ac4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMeshSelectListener.html#a7e1647fd1113f50dd9f88f37a275a32e">MouseMove</a> (<a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a> *meshsel, int x, int y, int button, <a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Mouse moves while mesh is selected.  <a href="#a7e1647fd1113f50dd9f88f37a275a32e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMeshSelectListener.html#a2586b2f004053f2e6108fadce4cc3106">MouseUp</a> (<a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a> *meshsel, int x, int y, int button, <a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Mouse button goes up on mesh.  <a href="#a2586b2f004053f2e6108fadce4cc3106"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Listen to mesh selection. </p>

<p>Definition at line <a class="el" href="meshsel_8h_source.html#l00040">40</a> of file <a class="el" href="meshsel_8h_source.html">meshsel.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2723b51fcbbf80efad7affef0df15ac4"></a><!-- doxytag: member="iPcMeshSelectListener::MouseDown" ref="a2723b51fcbbf80efad7affef0df15ac4" args="(iPcMeshSelect *meshsel, int x, int y, int button, iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMeshSelectListener.html#a2723b51fcbbf80efad7affef0df15ac4">iPcMeshSelectListener::MouseDown</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a> *&#160;</td>
          <td class="paramname"><em>meshsel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Mouse button goes down on mesh. </p>

</div>
</div>
<a class="anchor" id="a7e1647fd1113f50dd9f88f37a275a32e"></a><!-- doxytag: member="iPcMeshSelectListener::MouseMove" ref="a7e1647fd1113f50dd9f88f37a275a32e" args="(iPcMeshSelect *meshsel, int x, int y, int button, iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMeshSelectListener.html#a7e1647fd1113f50dd9f88f37a275a32e">iPcMeshSelectListener::MouseMove</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a> *&#160;</td>
          <td class="paramname"><em>meshsel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Mouse moves while mesh is selected. </p>

</div>
</div>
<a class="anchor" id="a2586b2f004053f2e6108fadce4cc3106"></a><!-- doxytag: member="iPcMeshSelectListener::MouseUp" ref="a2586b2f004053f2e6108fadce4cc3106" args="(iPcMeshSelect *meshsel, int x, int y, int button, iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMeshSelectListener.html#a2586b2f004053f2e6108fadce4cc3106">iPcMeshSelectListener::MouseUp</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a> *&#160;</td>
          <td class="paramname"><em>meshsel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Mouse button goes up on mesh. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="meshsel_8h_source.html">meshsel.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
